<?php
/**
* @version	$Id: verisign_pflink_notify.php 13704 2010-06-09 14:52:56Z alex $
* @package	In-Commerce
* @copyright	Copyright (C) 1997 - 2009 Intechnic. All rights reserved.
* @license	Commercial License
* This software is protected by copyright law and international treaties.
* Unauthorized reproduction or unlicensed usage of the code of this program,
* or any portion of it may result in severe civil and criminal penalties,
* and will be prosecuted to the maximum extent possible under the law
* See http://www.in-portal.org/commercial-license for copyright notices and details.
*/

	define('FULL_PATH', realpath(dirname(__FILE__) . '/../../../../../..'));
	define('REL_PATH', 'modules/in-commerce/units/gateways/gw_classes/notify_scripts');
	define('ADMIN', 1);
	include_once(FULL_PATH . '/core/kernel/startup.php');

	$application =& kApplication::Instance();
	$application->Init();

	$application->SetVar('payment_type_id',
				$application->Conn->GetOne(
					'SELECT PaymentTypeId FROM '.TABLE_PREFIX.'PaymentTypes AS pt
					LEFT JOIN '.TABLE_PREFIX.'Gateways AS g
					ON g.GatewayId = pt.GatewayId
					WHERE g.ClassName = '.$application->Conn->qstr('kVerisignPfLinkGW')));

	include(MODULES_PATH.'/in-commerce/gw_notify.php');